<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="android.view.View"/>
        <variable
                name="view"
                type="View"/>
        <variable
                name="register"
                type="id.kamal.panicbroadcast.viewmodel.RegisterViewModel"/>
    </data>

    <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/colorPrimary">

        <android.support.design.widget.AppBarLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:elevation="0dp">

            <android.support.v7.widget.Toolbar
                    android:layout_width="match_parent"
                    android:layout_height="?attr/actionBarSize"
                    app:elevation="0dp">

                <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="register"
                        android:textColor="@android:color/white"
                        android:textSize="20sp"
                        app:font="@{`bold`}"/>

            </android.support.v7.widget.Toolbar>

        </android.support.design.widget.AppBarLayout>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="@{register.loading? View.GONE : View.VISIBLE}">

            <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Please fill out the form below !"
                    android:textColor="@android:color/white"
                    android:gravity="center"
                    android:textSize="16sp"
                    app:font="@{`regular`}"/>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/fullname"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_top"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="20dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Full Name"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.fullname}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textPersonName"/>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/username"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_mid"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Username"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.username}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textPersonName"/>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/password"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_mid"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Password"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.password}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textPassword"/>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/repassword"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_mid"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Retype Password"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.repassword}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textPassword"/>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/email"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_mid"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Email"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.email}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textEmailAddress"/>

            <android.support.v7.widget.AppCompatButton
                    android:id="@+id/birth_day"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_mid"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="2dp"
                    android:hint="Birth Day"
                    android:textColorHint="@color/textEditText"
                    android:text="@={register.birthday}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"/>

            <RadioGroup
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="2dp"
                    android:layout_marginBottom="2dp"
                    android:padding="2dp"
                    android:background="@drawable/shape_mid"
                    android:orientation="horizontal">

                <android.support.v7.widget.AppCompatRadioButton
                        android:id="@+id/male"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:buttonTint="@color/colorAccent"
                        android:text="Male"
                        android:textColor="@android:color/white"
                        android:layout_weight="1"/>

                <android.support.v7.widget.AppCompatRadioButton
                        android:id="@+id/female"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:buttonTint="@color/colorAccent"
                        android:text="Female"
                        android:textColor="@android:color/white"
                        android:layout_weight="1"/>

            </RadioGroup>

            <android.support.v7.widget.AppCompatEditText
                    android:id="@+id/address"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_bottom"
                    android:textCursorDrawable="@null"
                    android:textColor="@android:color/white"
                    android:layout_marginTop="2dp"
                    android:layout_marginRight="20dp"
                    android:layout_marginLeft="20dp"
                    android:layout_marginBottom="20dp"
                    android:hint="Address"
                    android:textColorHint="@color/textEditText"
                    android:padding="10dp"
                    android:text="@={register.address}"
                    app:font="@{`regular`}"
                    android:textSize="14sp"
                    android:inputType="textMultiLine"
                    android:maxLines="2"/>

            <android.support.design.widget.FloatingActionButton
                    android:id="@+id/btn_register"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="normal"
                    app:srcCompat="@drawable/ic_arrow"/>
                    <!--android:onClick="@{(view) -> register.onRegister(view, register)}"-->

            <!--<TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="@color/colorAccent"
                    android:text="Don't have an account? RegisterViewModel here!"
                    android:gravity="center"
                    android:layout_marginTop="20dp"
                    app:font="@{`regular`}"
                    android:onClick="@{(view) -> handler.register(view)}"/>-->

        </LinearLayout>

        <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:visibility="@{register.loading ? View.VISIBLE: View.GONE}"
                android:indeterminate="true"
                android:layout_gravity="center"/>

    </LinearLayout>

</layout>